Bug 113228 - Gallery category/folder names not localized
Summary: Gallery category/folder names not localized
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.4.2.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisectRequest, regression
Depends on:
Blocks: Gallery Not-Localizable
  Show dependency treegraph
 
Reported: 2017-10-18 16:24 UTC by tagezi
Modified: 2019-05-31 02:50 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of untranslatable tokens (66.44 KB, image/png)
2017-10-18 16:24 UTC, tagezi
Details
Gallery names in 5.2 (36.16 KB, image/png)
2017-10-18 20:42 UTC, Gabor Kelemen
Details
Gallery names in 6.1 master localized build (120.42 KB, image/png)
2017-12-01 20:16 UTC, Gabor Kelemen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tagezi 2017-10-18 16:24:10 UTC
Created attachment 137079 [details]
Screenshot of untranslatable tokens

On sidebar in Calc some tokens can not be translatable with 5.4.* versions to master. It is:
* Style Names in section Styles and Formatting
* Group Names in section Gallery

Now these tokens do not have IDKeys, do not transfer to Pootle and can not be translated. For this reason, they are not localized in interface.

It would be very cool if we could make a readable interface in our native language.
Comment 1 Gabor Kelemen 2017-10-18 20:41:58 UTC
Cell style names not being translated in the sidebar is bug #105429

Gallery names not being translated in the sidebar is something new, it has worked at least in 5.2 and before.
Comment 2 Gabor Kelemen 2017-10-18 20:42:21 UTC
Created attachment 137085 [details]
Gallery names in 5.2
Comment 3 Gabor Kelemen 2017-12-01 20:16:10 UTC
Created attachment 138172 [details]
Gallery names in 6.1 master localized build

Now this is weird: using KeyID locale I see the gallery names untranslated, but when I switch to Hungarian locale they appear almost all translated.
Comment 4 Buovjaga 2018-05-30 18:28:21 UTC
Still repro with KeyID

Arch Linux 64-bit
Version: 6.2.0.0.alpha0+
Build ID: c1452e73091412ba0bb72306329e1912df2ba513
CPU threads: 8; OS: Linux 4.16; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group threaded
Built on May 30th 2018
Comment 5 QA Administrators 2019-05-31 02:50:13 UTC
Dear tagezi,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug